Skip to main content
PUT
/
sources
/
{id}
cURL
curl -X PUT "https://app.cotool.ai/sources/:id" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","feedUrl":"string","serverUrl":"string","apiKey":"string","enabled":true}'
{
  "id": "<string>",
  "name": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "apiType": "<string>",
  "isBuiltIn": true,
  "feedUrl": "<string>",
  "serverUrl": "<string>",
  "organizationId": "<string>",
  "createdBy": "<string>",
  "hasApiKey": true,
  "enabled": true,
  "sourceEnabled": true,
  "subscriptionEnabled": true,
  "scheduleCron": "<string>",
  "maxEntries": 123,
  "lastFetchedAt": "<string>",
  "lastStatus": "<string>",
  "lastError": "<string>",
  "itemCountLast24h": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "syncJob": {
    "jobId": "<string>",
    "queuedAt": "<string>",
    "startedAt": "<string>",
    "finishedAt": "<string>",
    "updatedAt": "<string>",
    "attemptCount": 123,
    "error": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

id
string
required

Body

application/json
name
string
Required string length: 1 - 200
feedUrl
string<uri>
serverUrl
string<uri>
apiKey
string
Minimum string length: 1
enabled
boolean

Response

Successful response

id
string
required
name
string
required
displayName
string
required
description
string | null
required
kind
enum<string>
required
Available options:
rss,
api
apiType
string | null
required
isBuiltIn
boolean
required
feedUrl
string | null
required
serverUrl
string | null
required
organizationId
string | null
required
createdBy
string | null
required
hasApiKey
boolean
required
enabled
boolean
required
sourceEnabled
boolean
required
subscriptionEnabled
boolean
required
scheduleCron
string | null
required
maxEntries
number
required
lastFetchedAt
string | null
required
lastStatus
string | null
required
lastError
string | null
required
itemCountLast24h
number
required
createdAt
string
required
updatedAt
string
required
syncJob
object